Bug 189892 - Review Request: dssi - Disposable Soft Synth Interface
Review Request: dssi - Disposable Soft Synth Interface
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Callum Lerwick
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 190027
  Show dependency treegraph
 
Reported: 2006-04-25 11:35 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-04 21:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-04-25 11:35:39 EDT
Spec URL: http://people.redhat.com/green/FE/FC5/dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/dssi-0.9-3.src.rpm
Description: 
Disposable Soft Synth Interface (DSSI, pronounced "dizzy") is a
proposal for a plugin API for software instruments (soft synths) with
user interfaces, permitting them to be hosted in-process by Linux
audio applications. Think of it as LADSPA-for-instruments, or
something comparable to a simpler version of VSTi.

Adapted from old ccrma spec file.  This package depends on many recently submitted FE packages.
Comment 1 Anthony Green 2006-05-13 11:09:01 EDT
Spec URL: http://people.redhat.com/green/FE/FC5/dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/dssi-0.9.1-1.src.rpm

Updated to version 0.9.1.  Now 64-bit clean.  fluidsynth-dssi is a separate
package now, which I'll submit shortly (based on nando's ccrma package).
Comment 2 Callum Lerwick 2006-05-18 04:56:14 EDT
The example synths should probably be put in a dssi-examples package rather than
the devel package.

I think it needs to be:

%dir %{_libdir}/dssi

Because the example synths are actually ending up in *both* packages.

There's duplicate liblo-devel buildreqs in there.
Comment 3 Anthony Green 2006-05-18 22:14:13 EDT
Thanks.  Updated bits here....

Spec URL: http://people.redhat.com/green/FE/FC5/dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/dssi-0.9.1-2.src.rpm
Comment 4 Callum Lerwick 2006-05-20 15:58:00 EDT
After poking things a bit more, I think dssi-devel should Depend: on
alsa-lib-devel, ladspa-devel, and liblo-devel. But not jack-devel, the dssi API
itself does not use jack.

Not so sure the examples package needs a versioned dependency on the main
package. Any other dssi plugins wouldn't do so.

And since its just a header file, I don't think the devel package actually needs
to depend on the main package at all... (This would prevent mock from having to
d/l and install dssi, which pulls in jack...)

If you really wanted to reduce dependency bloat, you could split jack-dssi-host
off into its own package, isolating the jack dependency, but I really don't
think its worth going quite that far.

Just rm-ing the .la files in %install seems marginally cleaner to me. And is
what most other packages seem to do.
Comment 5 Callum Lerwick 2006-05-21 02:21:22 EDT
Ooops. The .pc file needs to be in the devel package, not the examples. :)

Yeah, thinks seem to work fine with dssi-devel not depending on dssi.
Comment 6 Anthony Green 2006-05-21 06:24:00 EDT
(In reply to comment #4)
> After poking things a bit more, I think dssi-devel should Depend: on
> alsa-lib-devel, ladspa-devel, and liblo-devel. But not jack-devel, the dssi API
> itself does not use jack.

Done.

> Not so sure the examples package needs a versioned dependency on the main
> package. Any other dssi plugins wouldn't do so.

The difference is that the examples are bundled with the main package sources.
I don't think it hurts to keep them in sync.
 
> And since its just a header file, I don't think the devel package actually needs
> to depend on the main package at all... (This would prevent mock from having to
> d/l and install dssi, which pulls in jack...)

Done.  I've also moved COPYING to the devel package, since it only applies to
the header file.  The README file covers everything else.

> If you really wanted to reduce dependency bloat, you could split jack-dssi-host
> off into its own package, isolating the jack dependency, but I really don't
> think its worth going quite that far.

Not done :-)

> Just rm-ing the .la files in %install seems marginally cleaner to me. And is
> what most other packages seem to do.

Done.

I've also fixed the .pc file problem.

Thanks for your help!

 Updated bits here....

Spec URL: http://people.redhat.com/green/FE/FC5/dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/dssi-0.9.1-3.src.rpm

AG
Comment 7 Callum Lerwick 2006-05-21 16:22:32 EDT
Ah, licensing. According to the README, the header is LGPL, and jack-dssi-host
is "BSD-style". COPYING is included for the header, but everything else seems to
have the license in the source code. jack-dssi-host contains:

/*
 * Copyright 2004 Chris Cannam, Steve Harris and Sean Bolton.
 *
 * Permission to use, copy, modify, distribute, and sell this software
 * for any purpose is hereby granted without fee, provided that the
 * above copyright notice and this permission notice are included in
 * all copies or substantial portions of the software.
 */

Does this count as BSD?

Everything in the examples directory has something to the effect of "This
example file is in the public domain." Note that dssi_osc_send and
dssi_osc_update are in the main package, which otherwise seems like the right
place to me.

So, my guess is dssi-devel should be "License: LGPL", dssi-examples should be
"License: Public Domain", and the main package "License: BSD/Public Domain"
however mock complains about that one. Maybe it can just be "Distributable".

Someone who is knowledgeable in licensing, please take a look at this.
Comment 8 Anthony Green 2006-05-26 18:32:57 EDT
(In reply to comment #7)
> /*
>  * Copyright 2004 Chris Cannam, Steve Harris and Sean Bolton.
>  *
>  * Permission to use, copy, modify, distribute, and sell this software
>  * for any purpose is hereby granted without fee, provided that the
>  * above copyright notice and this permission notice are included in
>  * all copies or substantial portions of the software.
>  */
> 
> Does this count as BSD?

Yes, basically, I think so.

> So, my guess is dssi-devel should be "License: LGPL", dssi-examples should be
> "License: Public Domain", and the main package "License: BSD/Public Domain"
> however mock complains about that one. Maybe it can just be "Distributable".

I think BSD trumps Public Domain, so I'm just making it BSD.

New bits here:

Spec URL: http://people.redhat.com/green/FE/FC5/dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/dssi-0.9.1-4.src.rpm

Comment 9 Anthony Green 2006-05-30 17:24:05 EDT
Fixed jack-dssi-host for x86-64 hosts...

Spec URL: http://people.redhat.com/green/FE/FC5/dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/dssi-0.9.1-5.src.rpm
Comment 10 Callum Lerwick 2006-06-02 22:07:52 EDT
Alright, tibbs was going to post here, but then that's when BZ went down.

He told me in IRC the BSD license is in fact the MIT license according to the
OSI, which looks about right to me:

http://www.opensource.org/licenses/mit-license.php

He also said the license tag should accurately describe package's license, if
rpmlint complains then its a bug in rpmlint. So the main package should probably
be "MIT/Public Domain". Though I suppose public domain is "convertible" to any
other license by definition...
Comment 11 Anthony Green 2006-06-02 22:19:07 EDT
(In reply to comment #10)
> He told me in IRC the BSD license is in fact the MIT license according to the
> OSI, which looks about right to me:

Fixed...

Spec URL: http://people.redhat.com/green/FE/FC5/dssi.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/dssi-0.9.1-6.src.rpm

Comment 12 Callum Lerwick 2006-06-04 19:10:19 EDT
MUST items:

- rpmlint: Ok

$ rpmlint dssi-examples-0.9.1-6.fc5.i386.rpm
W: dssi-examples no-documentation

Ignorable.

W: dssi-examples dangling-relative-symlink /usr/bin/less_trivial_synth
jack-dssi-host
W: dssi-examples dangling-relative-symlink /usr/bin/trivial_sampler jack-dssi-host
W: dssi-examples dangling-relative-symlink /usr/bin/trivial_synth jack-dssi-host

Intentional. Main package supplies jack-dssi-host.

- Package name: Ok
- Spec name: Ok
- Meets packaging guidelines: Ok
- License: Ok
- Spec in American English: Ok
- Spec legible: Ok
- Sources match upstream: Ok
- Builds: Ok
- BuildRequires: Ok
- Locales: Ok
- ldconfig: Ok
- Relocation: Ok
- Directory ownership: Ok
- %files: Ok
- %clean: Ok
- Macros: Ok
- Code vs. Content: Ok
- Documentation: Ok
- devel package: Ok
- .desktop file: Ok

SHOULD:

- Includes license text: Ok
- Mock build: Ok
- Builds on all archs: Built on i386, x86_64
- Package functional: Tested on i386, x86_64
- Scriptlets: Ok
- Subpackages: Ok

NEEDSWORK:

Source0: needs to be [...]sf.net/sourceforge/dssi/[...] or else I get a 404.
(Did SF rearrange their URLs recently?)

Fix the URL before import, and this is APPROVED.
Comment 13 Anthony Green 2006-06-04 21:29:45 EDT
Thanks!

AG

Note You need to log in before you can comment on or make changes to this bug.